%define upstream_name puppet-systemd


Name:                   puppet-systemd
Version:                0.4.0
Release:                2%{?dist}
Summary:                Puppet Systemd module
License:                Apache-2.0

URL:                    https://github.com/camptocamp/puppet-systemd

Source0:                https://github.com/camptocamp/%{upstream_name}/archive/%{version}.tar.gz
# patches_ignore=DROP-IN-RPM
# patches_base=0.4.0
Patch0001: 0001-modulesync.patch
Patch0002: 0002-Refactor-systemd-facts-12.patch
Patch0003: 0003-Manage-resource-limits-of-services-13.patch
Patch0004: 0004-Modulesync-remove-Puppet-3-tests.patch
Patch0005: 0005-Add-MemoryLimit-to-limits-template-23.patch

BuildArch:              noarch


Requires:               puppet >= 2.7.0

%description
Puppet module that configures systemd.

%prep
%setup -q -n %{name}-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/systemd/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/systemd/



%files
%{_datadir}/openstack-puppet/modules/systemd/


%changelog
* Tue Apr 11 2017 Jon Schlueter <jschluet@redhat.com> 0.4.0-2
- switched to 0.4.0 tag tarball + patches
- Add MemoryLimit to limits template (#23) (rhbz#1378245)

* Thu Feb 09 2017 Alfredo Moralejo <amoralej@redhat.com> 0.4.0-1.a032136git
- Ocata update 0.4.0 (a0321364514f52a4c110a15afbdad5109d768fe6)

